# osgUtx::TestRunner Class Reference

A TestRunner is a visitor which will run specified tests as it traverses the test graph. More...

Inheritance diagram for osgUtx::TestRunner:

[legend]
List of all members.

## Public Member Functions

| TestRunner (TestContext &ctx)
void | specify (const std::string &sQualifiedName)
| Tests may be specified by partial names.
bool | visitEnter (TestSuite *pSuite)
bool | visit (TestCase *pTest)
bool | visitLeave (TestSuite *pSuite)

## Protected Member Functions

void | perform (TestCase *pTest)

## Detailed Description

A TestRunner is a visitor which will run specified tests as it traverses the test graph.

Todo:
  Consider an accessor method to get at the TestReport if necessary.

## Constructor & Destructor Documentation

osgUtx::TestRunner::TestRunner | ( | TestContext & | ctx | ) |

## Member Function Documentation

void osgUtx::TestRunner::perform | ( | TestCase * | pTest | ) | `[protected]`

void osgUtx::TestRunner::specify | ( | const std::string & | sQualifiedName | ) |

| Tests may be specified by partial names. E.g. specifiying "root" will run all tests below root, i.e. all tests. Specifiying "root.osg" will run all tests below root.osg. Specifying "root.osg.de" will run all tests (and suites) below root.osg with names beginning with the de.

bool osgUtx::TestRunner::visit | ( | TestCase * | pTest | ) | `[virtual]`

| Implements osgUtx::TestVisitor.

bool osgUtx::TestRunner::visitEnter | ( | TestSuite * | pSuite | ) | `[virtual]`

| Reimplemented from osgUtx::TestQualifier.

bool osgUtx::TestRunner::visitLeave | ( | TestSuite * | pSuite | ) | `[virtual]`

| Reimplemented from osgUtx::TestQualifier.

The documentation for this class was generated from the following files:

- UnitTestFramework
- UnitTestFramework.cpp